List models (PydanticAI - OpenAI format)
Lists available models using OpenAI-compatible format via PydanticAI.
AuthorizationBearer <token>
Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT.
Virtual keys (prefixed with sk-bf-) can also be passed here.
In: header
Response Body
curl -X GET "https://loading/{AI_GATEWAY_URL}/pydanticai/v1/models"{
"object": "list",
"data": [
{
"id": "string",
"object": "model",
"owned_by": "string",
"created": 0,
"active": true,
"context_window": 0
}
]
}{
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}{
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}